aboutsummaryrefslogtreecommitdiff
path: root/src/lm_sensors/healthd.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/lm_sensors/healthd.rc')
-rwxr-xr-xsrc/lm_sensors/healthd.rc36
1 files changed, 36 insertions, 0 deletions
diff --git a/src/lm_sensors/healthd.rc b/src/lm_sensors/healthd.rc
new file mode 100755
index 0000000..f50f4a6
--- /dev/null
+++ b/src/lm_sensors/healthd.rc
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof -x -o %PPID /usr/sbin/healthd)
+case "${1}" in
+ start)
+ stat_busy "Starting Health Daemon"
+ [ -z "${PID}" ] && /usr/sbin/healthd &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo "${PID}" > /var/run/healthd.pid
+ add_daemon healthd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Health Daemon"
+ [ ! -z "${PID}" ] && kill ${PID} &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon healthd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 2
+ $0 start
+ ;;
+ *) echo "usage: $0 {start|stop|restart}"
+esac
+exit 0